import React from 'react'
import Header from '../components/header'
import Services from '../components/services'
import Prefooter from '../components/pre_footer'
import Footer from '../components/footer'
import { useContext } from 'react'
import PendoContext from '../state/PendoContext'

export default function Checkout() {
    const { cart } = useContext(PendoContext)
    return <>
        <Header />
        <div className="breadcrumbs">
            <div className="container">
                <div className="row">
                    <div className="col-12">
                        <div className="bread-inner">
                            <ul className="bread-list">
                                <li><a href="/home">Home<i className="ri-arrow-right-line"></i></a></li>
                                <li className="active"><a href="/checkout">Checkout</a></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <section className="shop checkout section">
            <div className="container">
                <div className="row">
                    <div className="col-lg-8 col-12">
                        <div className="checkout-form">
                            <h2>Make Your Checkout Here</h2>
                            <p>Please register in order to checkout more quickly</p>
                            <form className="form" method="post" action="#">
                                <div className="row">
                                    <div className="col-lg-6 col-md-6 col-12">
                                        <div className="form-group">
                                            <label>First Name<span>*</span></label>
                                            <input type="text" name="name" placeholder="" required="required" />
                                        </div>
                                    </div>
                                    <div className="col-lg-6 col-md-6 col-12">
                                        <div className="form-group">
                                            <label>Last Name<span>*</span></label>
                                            <input type="text" name="name" placeholder="" required="required" />
                                        </div>
                                    </div>
                                    <div className="col-lg-6 col-md-6 col-12">
                                        <div className="form-group">
                                            <label>Email Address<span>*</span></label>
                                            <input type="email" name="email" placeholder="" required="required" />
                                        </div>
                                    </div>
                                    <div className="col-lg-6 col-md-6 col-12">
                                        <div className="form-group">
                                            <label>Phone Number<span>*</span></label>
                                            <input type="number" name="number" placeholder="" required="required" />
                                        </div>
                                    </div>
                                    <div className="col-lg-6 col-md-6 col-12">
                                        <div className="form-group">
                                            <label>Country<span>*</span></label>
                                            <select name="country_name" id="country">
                                                <option defaultValue="KE">Kenya</option>
                                            </select>
                                        </div>
                                    </div>

                                    <div className="col-lg-6 col-md-6 col-12">
                                        <div className="form-group">
                                            <label>Address Line 1<span>*</span></label>
                                            <input type="text" name="address" placeholder="" required="required" />
                                        </div>
                                    </div>
                                    <div className="col-lg-6 col-md-6 col-12">
                                        <div className="form-group">
                                            <label>Postal Code<span>*</span></label>
                                            <input type="text" name="post" placeholder="" required="required" />
                                        </div>
                                    </div>

                                    <div className="col-12">
                                        <div className="form-group create-account">
                                            <input id="cbox" type="checkbox" />
                                            <label>Create an account?</label>
                                        </div>
                                    </div>
                                </div>
                            </form>

                        </div>
                    </div>
                    <div className="col-lg-4 col-12">
                        <div className="order-details">
                            <div className="single-widget">
                                <h2>CART  TOTALS</h2>
                                <div className="content">
                                    <ul>
                                        <li>Sub Total<span>Ksh {cart.map(item => parseInt(item.price) * item.quantity).reduce((a, c) => a + c, 0)}</span></li>
                                        <li> Delivery Fee<span>Ksh 200</span></li>
                                        <li className="last">Total<span>Ksh {cart.map(item => parseInt(item.price) * item.quantity).reduce((a, c) => a + c, 0) + 200}</span></li>
                                    </ul>
                                </div>
                            </div>
                            <div className="single-widget">
                                <h2>Payments</h2>
                                <div className="content">
                                    <div className="radio">
                                        <label className="checkbox-inline" for="1"><input className="form-check-input" name="news" id="1" type="radio" value="option1" /> Cash On Delivery</label>

                                    </div>
                                    <div className="radio">
                                        <label className="checkbox-inline" for="2"><input className="form-check-input" name="news" id="2" type="radio" value="option2" /> M-Pesa</label>
                                    </div>
                                </div>
                            </div>
                            <div className="single-widget get-button">
                                <div className="content">
                                    <div className="button">
                                        <a href="/#" className="btn">proceed to checkout</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>

        <Services />
        <Prefooter />
        <Footer />
    </>
}